Ever since updating to Catalina I’m greeted by this annoying message every new terminal window I open…

The default interactive shell is now zsh.
To update your account to use zsh, please run `chsh -s /bin/zsh`.
For more details, please visit https://support.apple.com/kb/HT208050.

Not that it’s a big deal, just irritating if you would rather not switch to zsh. To suppress this warning edit your ~/.bash_profile and add the following line:

export BASH_SILENCE_DEPRECATION_WARNING=1

Once you’ve updated your bash_profile with the above you’ll be back the glorious silence of your motd rather than an annoying deprecation warning!